View Issue Details

IDProjectCategoryView StatusLast Update
0015798ScribusUsabilitypublic2019-12-08 21:24
Reporterjim78b Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformPcOSWin7OS Version64bit
Product Version1.5.5.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0015798: Items from invisible layers can be selected
DescriptionWhen you hide a layer and work with another layer, the layer that is hidden is selectable. you must lock it.
Steps To ReproduceHide layer than work with another and select all the hide layer Oscar selectable even is hide.
TagsLayer selecting
PatchNo

Activities

jim78b

2019-09-02 06:09

reporter   ~0046607

Sorry i wrote fast ...

When you hide a layer and work with another the layer that is hide is selectable;

For reproduct the bug you must lock the hide layer than work with another and select all the hide layer ;the hide layer is selectable

ale

2019-09-02 13:27

manager   ~0046610

jim, i've tried to fix what you have written above with the content of your note. but i still can't figure out what you exactly want to say...

jim78b

2019-09-02 15:02

reporter   ~0046611

Sorry...for step

I Am working on layer 1 .layer 2 is hide .
If i select something on layer1 scribus select even elementi on layer 2 that is turn off

ale

2019-09-02 15:22

manager   ~0046613

no, not really.

scribus always acts on the current layer.
and it does not care if the layer is hidden or not.

it's questionable if allowing a hidden layer to be active is ncessary (but what happens if you hide all layers?) but it's not really a bug either.

for the future, i'd like to suggest you to first ask your questions in the forum and only if it's clear that there is a bug in scribus (or you have a feature request that is worth to be filled) add the ticket to the bug tracker.

PeterBenedek

2019-09-03 07:41

developer   ~0046618

Tested in LinuxMint 19.1; r23174

This is a good and logical behavior:
-- Hide layer enable: Layer not visible and can't be selected.
-- Layer visible enable and layer lock enable: Layer visible but can't be selected.
Really much better.

Works well.

Issue History

Date Modified Username Field Change
2019-09-02 06:00 jim78b New Issue
2019-09-02 06:00 jim78b Tag Attached: Layer selecting
2019-09-02 06:09 jim78b Note Added: 0046607
2019-09-02 06:56 jghali Priority urgent => normal
2019-09-02 06:56 jghali Severity major => minor
2019-09-02 13:27 ale Description Updated View Revisions
2019-09-02 13:27 ale Steps to Reproduce Updated View Revisions
2019-09-02 13:27 ale Note Added: 0046610
2019-09-02 15:02 jim78b Note Added: 0046611
2019-09-02 15:22 ale Note Added: 0046613
2019-09-03 01:06 jghali Summary Layer selecting => Items from invisible layers can be selected
2019-09-03 01:06 jghali Assigned To => jghali
2019-09-03 01:06 jghali Status new => resolved
2019-09-03 01:06 jghali Resolution open => fixed
2019-09-03 01:06 jghali Fixed in Version => 1.5.6.svn
2019-09-03 07:41 PeterBenedek Note Added: 0046618
2019-12-08 21:24 cbradney Status resolved => closed